Gerenciando multiplas versões/instalações de lua

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Gerenciando multiplas versões/instalações de lua

Giuliani Sanches
Ola,

Alguém conhece a ferramenta abaixo:
  • https://github.com/mah0x211/lenv
Caso conheça e tenha usado, poderia comentar sobre algum problema que teve ?

Alguma recomendação que siga uma idéia estilo o que ela (que imagino ter como inspiração o perlbrew) oferece ?

Obrigado.

--
Você recebeu essa mensagem porque está inscrito no grupo "Lua BR" dos Grupos do Google.
Para cancelar inscrição nesse grupo e parar de receber e-mails dele, envie um e-mail para [hidden email].
Acesse esse grupo em https://groups.google.com/group/lua-br.
Para mais opções, acesse https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Gerenciando multiplas versões/instalações de lua

Diego Nascimento
show, legal, eu nunca usei mas vou aproveitar para testar =)

Em 14 de março de 2016 11:55, Giuliani Sanches
<[hidden email]> escreveu:

> Ola,
>
> Alguém conhece a ferramenta abaixo:
>
> https://github.com/mah0x211/lenv
>
> Caso conheça e tenha usado, poderia comentar sobre algum problema que teve ?
>
> Alguma recomendação que siga uma idéia estilo o que ela (que imagino ter
> como inspiração o perlbrew) oferece ?
>
> Obrigado.
>
> --
> Você recebeu essa mensagem porque está inscrito no grupo "Lua BR" dos Grupos
> do Google.
> Para cancelar inscrição nesse grupo e parar de receber e-mails dele, envie
> um e-mail para [hidden email].
> Acesse esse grupo em https://groups.google.com/group/lua-br.
> Para mais opções, acesse https://groups.google.com/d/optout.

--
Você está recebendo esta mensagem porque se inscreveu no grupo "Lua BR" dos Grupos do Google.
Para cancelar inscrição nesse grupo e parar de receber e-mails dele, envie um e-mail para [hidden email].
Visite este grupo em https://groups.google.com/group/lua-br.
Para obter mais opções, acesse https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Gerenciando multiplas versões/instalações de lua

Giuliani Sanches
In reply to this post by Giuliani Sanches
Acabo de testar ela. Lua 5.3.2 e LuaJIT 2.0.4 instalados com sucesso.

Tb me pareceu que o luarcoks esta ok. Instalei o lpty em ambas as versões sem problemas.

Resta apenas verificar se as variáveis de ambiente que ele exporta (basicamente LUA_PATH, LUA_CPATH e um "ajuste" na PATH) são suficientes para manter a versão ... "presa" conforme você muda com lenv use...

Bom, hora dessas eu pesquiso mais. Valeu ;)

Abraço.

Em segunda-feira, 14 de março de 2016 13:19:02 UTC-3, Giuliani Sanches escreveu:
Ola,

Alguém conhece a ferramenta abaixo:
  • <a href="https://github.com/mah0x211/lenv" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://www.google.com/url?q\75https%3A%2F%2Fgithub.com%2Fmah0x211%2Flenv\46sa\75D\46sntz\0751\46usg\75AFQjCNEy-zN-cAs5vkkxszEvIKpwcMd_kw&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\75https%3A%2F%2Fgithub.com%2Fmah0x211%2Flenv\46sa\75D\46sntz\0751\46usg\75AFQjCNEy-zN-cAs5vkkxszEvIKpwcMd_kw&#39;;return true;">https://github.com/mah0x211/lenv
Caso conheça e tenha usado, poderia comentar sobre algum problema que teve ?

Alguma recomendação que siga uma idéia estilo o que ela (que imagino ter como inspiração o perlbrew) oferece ?

Obrigado.

--
Você recebeu essa mensagem porque está inscrito no grupo "Lua BR" dos Grupos do Google.
Para cancelar inscrição nesse grupo e parar de receber e-mails dele, envie um e-mail para [hidden email].
Acesse esse grupo em https://groups.google.com/group/lua-br.
Para mais opções, acesse https://groups.google.com/d/optout.